## ros-melodic-ethercat-grant 0.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ethercat_grant)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  roscpp
)

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES ethercat_grant
#  CATKIN_DEPENDS roscpp
#  DEPENDS system_lib
)
include_directories(
  ${catkin_INCLUDE_DIRS}
)
add_executable(ethercat_grant src/ethercat_grant.cpp)
target_link_libraries(ethercat_grant cap)

install(TARGETS ethercat_grant
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-ethercat-grant (0.2.5-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Shadow Robot's software team <software@shadowrobot.com>  Sun, 16 Sep 2018 20:18:53 -0000

ros-melodic-ethercat-grant (0.2.4-0bionic) bionic; urgency=high

  * Migrated to package.xml version 2

 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 13 Sep 2018 00:00:00 -0000

ros-melodic-ethercat-grant (0.2.2-0bionic) bionic; urgency=high

  * Modify postinst script

 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 13 Sep 2018 00:00:00 -0000

ros-melodic-ethercat-grant (0.2.1-0bionic) bionic; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 29 Dec 2016 00:00:00 -0000

ros-melodic-ethercat-grant (0.2.0-0bionic) bionic; urgency=high

  * Modify postinst script

 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 29 Dec 2016 00:00:00 -0000

ros-melodic-ethercat-grant (0.1.1-0bionic) bionic; urgency=high

  * Modify postinst script

 -- Shadow Robot's software team <software@shadowrobot.com>  Fri, 10 Apr 2015 00:00:00 -0000

ros-melodic-ethercat-grant (0.1.0-0bionic) bionic; urgency=high

  * Add postinstallation script
  * Change package name

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 07 Apr 2015 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-ethercat-grant
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), libcap-dev, ros-melodic-catkin, ros-melodic-roscpp
Homepage: http://www.shadowrobot.com/
Standards-Version: 3.9.2

Package: ros-melodic-ethercat-grant
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcap-dev, ros-melodic-roscpp
Description: Makes it possible to run the ros_ethercat_loop without using sudo.
 Forked from pr2-grant

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ethercat-grant//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
